#
# Conditional build:
%bcond_without	gnome	# without gnome-print support
#
Summary:	A GNOME Vector Graphics Application
Summary(pl.UTF-8):	Aplikacja do grafiki wektorowej dla GNOME
Name:		sodipodi
Version:	0.34
Release:	11
License:	GPL
Group:		Applications/Graphics
Source0:	http://dl.sourceforge.net/sodipodi/%{name}-%{version}.tar.gz
# Source0-md5:	396cd78526e5a8102fd11114f45a70fe
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-home_etc.patch
Patch2:		%{name}-locale_names.patch
Patch3:		%{name}-libpng15.patch
Patch4:		format-security.patch
URL:		http://sodipodi.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libart_lgpl-devel >= 2.3.10
%{?with_gnome:BuildRequires:	libgnomeprint-devel >= 2.0.0}
%{?with_gnome:BuildRequires:	libgnomeprintui-devel >= 2.0.0}
BuildRequires:	libpng-devel
BuildRequires:	libxml2-devel >= 2.4.24
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(XML::XQL)' 'perl(XML::XQL::DOM)'

%description
Sodipodi is a general vector drawing program for GNOME environment.

%description -l pl.UTF-8
Sodipodi jest ogólnym programem do rysowania wektorowego dla
środowiska GNOME.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

mv -f po/{no,nb}.po
mv -f po/sr\@{Latn,latin}.po

%build
%configure \
	%{?with_gnome:--with-gnome-print}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Graphicsdir=%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:

%postun
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/sodipodi
%{_mandir}/man1/*
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop
%{_libdir}/%{name}
%changelog
* Fri Nov 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sodipodi.git;a=log;h=master

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> 3c1673c
- fix format string error
- rel 11

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 22d6ec3
- release 10 (by relup.sh)

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> f60233c
- paths fix

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 62ded47
- new

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> e3cc394
- release 9 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cd230d
- release 8

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f8b3de
- release 7

* Mon Feb 01 2010 sparky <sparky@pld-linux.org> 354a142
- (with gnome) BR: libgnomeprintui-devel

* Sun Jan 31 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 2889640
- release 6

* Sat Nov 10 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 69994c6
- renamed sr@Latn to sr@latin

* Sat Nov 10 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 7c9430a
- sr@Latn -> sr@latin; release 5

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f7ca0f4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4b6d6cd
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 8adecbe
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 7c63720
- orphaned, outdated

* Sat Nov 27 2004 saq <saq@pld-linux.org> 5dfbdc9
- massive attack: add missing gtk+2-devel epoch in BR

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 393f5fa
- rel 4

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f376cf8
- Categories fix

* Mon Sep 13 2004 grzegol <grzegol@pld-linux.org> caaabba
- run /usr/bin/update-desktop-database in %post and %postun

* Fri Aug 06 2004 ankry <ankry@pld-linux.org> c27bd61
- rel. 3

